Loading...
Searching...
No Matches
OBAtomicHeatOfFormationTable Class Reference

`#include <openbabel/data.h>`

Inheritance diagram for OBAtomicHeatOfFormationTable:
[legend]

## Public Member Functions

| OBAtomicHeatOfFormationTable (void)
| ~OBAtomicHeatOfFormationTable ()
size_t | GetSize ()
void | ParseLine (const char *)
int | GetHeatOfFormation (std::string elem, int charge, std::string method, double T, double *dhof0, double *dhofT, double *S0T)
void | Init ()
void | SetReadDirectory (char *dir)
void | SetEnvironmentVariable (char *var)

## Protected Attributes

bool | _init
const char * | _dataptr
std::string | _filename
std::string | _dir
std::string | _subdir
std::string | _envvar

## Detailed Description

Atomic Heat of Formation Table.

Contributions of atoms to Enthalpy of Formation calculations performed in Gaussian, using the G2/G3/G4 or CBS-QB3 methods respectively. The energies produced by Gaussian have to be corrected according to their document on Thermochemistry with Gaussian. The data in the file BABEL_DATA/atomization_energies.txt supplies this information based on single atom calculations with Gaussian and the appropriate method and experimental data from Curtiss et al., J. Chem. Phys. 106 (1997) 1063-1079.

## Constructor & Destructor Documentation

## OBAtomicHeatOfFormationTable()

OBAtomicHeatOfFormationTable | ( | void |  | ) |

Constructor.

## ~OBAtomicHeatOfFormationTable()

~OBAtomicHeatOfFormationTable | ( |  | ) |

inline

Destructor.

## Member Function Documentation

## GetSize()

size_t GetSize | ( |  | ) |

inline virtual

Returns
  the number of elements in the Atomic Heat Of Formation table

Reimplemented from OBGlobalDataBase.

## ParseLine()

void ParseLine | ( | const char * | line | ) |

virtual

Read one line in the file and parse it.

Parameters

  Unnamed | the line to be parsed

Reimplemented from OBGlobalDataBase.

## GetHeatOfFormation()

int GetHeatOfFormation | ( | std::string | elem,
|  | int | charge,
|  | std::string | method,
|  | double | T,
|  | double * | dhof0,
|  | double * | dhofT,
|  | double * | S0T )

Extract heat of formation and entropy for an atom.

Parameters

  elem | The chemical element we're looking for
  charge | At this formal charge
  method | The method used for computing/measuring
  T | The temperature
  dhof0 | The output energy at 0K
  dhof1 | The output energy at T
  S0T | The entropy at T (it is 0 at 0K)

Returns
  1 if the contribution to the Heat of Formation for this atom is known at temperature T. If 1 the values including all corrections are returned in the dhof variable.

## Init()

void Init | ( |  | ) |

inherited

Read in the data file, falling back as needed.

Referenced by OBResidueData::AssignBonds(), OBBondTyper::AssignFunctionalGroupBonds(), OBAtomTyper::AssignHyb(), OBPhModel::AssignSeedPartialCharge(), OBAtomTyper::AssignTypes(), OBRingTyper::AssignTypes(), OBPhModel::CorrectForPH(), OBTypeTable::GetFromType(), OBRotorRules::GetRotorIncrements(), OBTypeTable::GetToType(), OBAtomicHeatOfFormationTable::OBAtomicHeatOfFormationTable(), OBTypeTable::SetFromType(), OBResidueData::SetResName(), OBTypeTable::SetToType(), OBTypeTable::Translate(), OBTypeTable::Translate(), and OBTypeTable::Translate().

## SetReadDirectory()

void SetReadDirectory | ( | char * | dir | ) |

inline inherited

Set the directory before calling Init().

## SetEnvironmentVariable()

void SetEnvironmentVariable | ( | char * | var | ) |

inline inherited

Set the environment variable to use before calling Init().

## Member Data Documentation

## _init

bool _init

protected inherited

Whether the data been read already.

Referenced by OBResidueData::AssignBonds(), OBBondTyper::AssignFunctionalGroupBonds(), OBAtomTyper::AssignHyb(), OBPhModel::AssignSeedPartialCharge(), OBAtomTyper::AssignTypes(), OBRingTyper::AssignTypes(), OBPhModel::CorrectForPH(), OBTypeTable::GetFromType(), OBRotorRules::GetRotorIncrements(), OBTypeTable::GetToType(), Init(), OBAtomicHeatOfFormationTable::OBAtomicHeatOfFormationTable(), OBAtomTyper::OBAtomTyper(), OBBondTyper::OBBondTyper(), OBGlobalDataBase(), OBPhModel::OBPhModel(), OBResidueData::OBResidueData(), OBRingTyper::OBRingTyper(), OBRotorRules::OBRotorRules(), OBTypeTable::OBTypeTable(), OBTypeTable::SetFromType(), OBResidueData::SetResName(), OBTypeTable::SetToType(), OBTypeTable::Translate(), OBTypeTable::Translate(), and OBTypeTable::Translate().

## _dataptr

const char* _dataptr

protected inherited

Default data table if file is unreadable.

Referenced by Init(), OBAtomTyper::OBAtomTyper(), OBBondTyper::OBBondTyper(), OBGlobalDataBase(), OBPhModel::OBPhModel(), OBResidueData::OBResidueData(), OBRotorRules::OBRotorRules(), and OBTypeTable::OBTypeTable().

## _filename

std::string _filename

protected inherited

File to search for.

Referenced by Init(), OBAtomicHeatOfFormationTable::OBAtomicHeatOfFormationTable(), OBAtomTyper::OBAtomTyper(), OBBondTyper::OBBondTyper(), OBPhModel::OBPhModel(), OBResidueData::OBResidueData(), OBRingTyper::OBRingTyper(), OBRotorRules::OBRotorRules(), OBTypeTable::OBTypeTable(), and OBRotorRules::SetFilename().

## _dir

std::string _dir

protected inherited

Data directory for file if _envvar fails.

Referenced by OBAtomicHeatOfFormationTable::OBAtomicHeatOfFormationTable(), OBAtomTyper::OBAtomTyper(), OBBondTyper::OBBondTyper(), OBPhModel::OBPhModel(), OBResidueData::OBResidueData(), OBRingTyper::OBRingTyper(), OBRotorRules::OBRotorRules(), OBTypeTable::OBTypeTable(), and SetReadDirectory().

## _subdir

std::string _subdir

protected inherited

Subdirectory (if using environment variable).

Referenced by Init(), OBAtomicHeatOfFormationTable::OBAtomicHeatOfFormationTable(), OBAtomTyper::OBAtomTyper(), OBBondTyper::OBBondTyper(), OBPhModel::OBPhModel(), OBResidueData::OBResidueData(), OBRingTyper::OBRingTyper(), OBRotorRules::OBRotorRules(), and OBTypeTable::OBTypeTable().

## _envvar

std::string _envvar

protected inherited

Environment variable to check first.

Referenced by Init(), OBAtomicHeatOfFormationTable::OBAtomicHeatOfFormationTable(), OBAtomTyper::OBAtomTyper(), OBBondTyper::OBBondTyper(), OBPhModel::OBPhModel(), OBResidueData::OBResidueData(), OBRingTyper::OBRingTyper(), OBRotorRules::OBRotorRules(), OBTypeTable::OBTypeTable(), and SetEnvironmentVariable().

The documentation for this class was generated from the following files:

- data.h
- data.cpp